org.vishia.commander.target

## Class FcmdtCopyCmd

- java.lang.Object
- - org.vishia.commander.target.FcmdtCopyCmd

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class FcmdtCopyCmd
      extends java.lang.Object
      implements java.io.Closeable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `bRun`
    `(package private) java.lang.String[]` | `param`
    `(package private) java.lang.String` | `sDst`
    `(package private) java.lang.String` | `sSrc`
    `(package private) java.lang.Thread` | `threadMng`
    `(package private) java.lang.Runnable` | `threadRun`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FcmdtCopyCmd()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `private boolean` | `doCopy()`
    `(package private) void` | `startCopy(int cmd, java.lang.String sParam)`
    `(package private) void` | `threadRun()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bRun

          boolean bRun

    - #### sSrc

          java.lang.String sSrc

    - #### sDst

          java.lang.String sDst

    - #### param

          java.lang.String[] param

    - #### threadRun

          java.lang.Runnable threadRun

    - #### threadMng

          java.lang.Thread threadMng

  - ### Constructor Detail

    - #### FcmdtCopyCmd

          FcmdtCopyCmd()

  - ### Method Detail

    - #### startCopy

          void startCopy(int cmd,
                         java.lang.String sParam)

    - #### doCopy

          private boolean doCopy()

    - #### threadRun

          void threadRun()

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`